Notploy

Registry

POST
/registry.create
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

registryName*string
Length1 <= length
providerType?string
Default"generic-oci"
Value in"docker-hub" | "ghcr" | "gitlab" | "ecr" | "gar" | "acr" | "quay" | "artifactory" | "harbor" | "zot" | "distribution" | "nexus" | "generic-oci"
username?string|null
password?string|null
registryUrl*string
namespace?string|null
imagePrefix?string|null
authMethod?string
Default"basic"
Value in"none" | "basic" | "token"
credentialSource?string
Default"inline"
Value in"secret" | "inline"
vaultSecretId?string|null
allowAnonymous?boolean
Defaultfalse
registryType?string
Default"cloud"
Value in"cloud" | "selfHosted"
serverId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/registry.create" \  -H "Content-Type: application/json" \  -d '{    "registryName": "string",    "registryUrl": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
POST
/registry.remove
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

registryId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/registry.remove" \  -H "Content-Type: application/json" \  -d '{    "registryId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
POST
/registry.update
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

registryId*string
Length1 <= length
registryName?string
Length1 <= length
providerType?string
Value in"docker-hub" | "ghcr" | "gitlab" | "ecr" | "gar" | "acr" | "quay" | "artifactory" | "harbor" | "zot" | "distribution" | "nexus" | "generic-oci"
registryUrl?string
namespace?string|null
imagePrefix?string|null
authMethod?string
Value in"none" | "basic" | "token"
credentialSource?string
Value in"secret" | "inline"
vaultSecretId?string|null
username?string|null
password?string|null
allowAnonymous?boolean
createdAt?string
registryType?string
Value in"cloud" | "selfHosted"
organizationId?string
Length1 <= length
serverId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/registry.update" \  -H "Content-Type: application/json" \  -d '{    "registryId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
GET
/registry.all
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/registry.all"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
GET
/registry.one
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

registryId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/registry.one?registryId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
POST
/registry.testRegistry
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

registryId?string
Length1 <= length
providerType?string
Value in"docker-hub" | "ghcr" | "gitlab" | "ecr" | "gar" | "acr" | "quay" | "artifactory" | "harbor" | "zot" | "distribution" | "nexus" | "generic-oci"
registryUrl?string
namespace?string|null
authMethod?string
Value in"none" | "basic" | "token"
credentialSource?string
Value in"secret" | "inline"
vaultSecretId?string|null
username?string|null
password?string|null
allowAnonymous?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/registry.testRegistry" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}